Loading...
Searching...
No Matches
restinio::easy_parser::impl::is_clause< T, meta::void_t< decltype(std::decay_t< T >::entity_type) > > Struct Template Reference

`#include <easy_parser.hpp>`

## Public Types

using | real_type = std::decay_t< T >

## Static Public Attributes

static constexpr bool | value = entity_type_t::clause == real_type::entity_type

## Detailed Description

template<typename T>
struct restinio::easy_parser::impl::is_clause< T, meta::void_t< decltype(std::decay_t< T >::entity_type) > >

Definition at line 1401 of file easy_parser.hpp.

## Member Typedef Documentation

## real_type

template<typename T >

using restinio::easy_parser::impl::is_clause< T, meta::void_t< decltype(std::decay_t< T >::entity_type) > >::real_type = std::decay_t<T>

Definition at line 1404 of file easy_parser.hpp.

## Member Data Documentation

## value

template<typename T >

constexpr bool restinio::easy_parser::impl::is_clause< T, meta::void_t< decltype(std::decay_t< T >::entity_type) > >::value = entity_type_t::clause == real_type::entity_type

static constexpr

Definition at line 1406 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp